org.scalatest.matchers.Matchers

# ResultOfNotWord

#### class ResultOfNotWord [T] extends AnyRef

This class is part of the ScalaTest matchers DSL. Please see the documentation for `ShouldMatchers` or `MustMatchers` for an overview of the matchers DSL.

Attributes
  sealed

Linear Supertypes
AnyRef, Any
Known Subclasses
ResultOfNotWordForAnyRef, ResultOfNotWordForArray, ResultOfNotWordForByte, ResultOfNotWordForDouble, ResultOfNotWordForFloat, ResultOfNotWordForInt, ResultOfNotWordForJavaCollection, ResultOfNotWordForJavaList, ResultOfNotWordForJavaMap, ResultOfNotWordForLengthWrapper, ResultOfNotWordForLong, ResultOfNotWordForMap, ResultOfNotWordForSeq, ResultOfNotWordForShort, ResultOfNotWordForSizeWrapper, ResultOfNotWordForString, ResultOfNotWordForTraversable
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. Hide All
2. Show all

1. ResultOfNotWord
2. AnyRef
3. Any

Visibility

1. Public
2. All

### Instance Constructors

1. #### new ResultOfNotWord (left: T, shouldBeTrue: Boolean)

### Value Members

1. #### def != (arg0: AnyRef): Boolean

   Attributes
     final
   Definition Classes
     AnyRef

2. #### def != (arg0: Any): Boolean

   Attributes
     final
   Definition Classes
     Any

3. #### def ## (): Int

   Attributes
     final
   Definition Classes
     AnyRef → Any

4. #### def == (arg0: AnyRef): Boolean

   Attributes
     final
   Definition Classes
     AnyRef

5. #### def == (arg0: Any): Boolean

   Attributes
     final
   Definition Classes
     Any

6. #### def asInstanceOf [T0] : T0

   Attributes
     final
   Definition Classes
     Any

7. #### def be (beMatcher: BeMatcher[T]): Unit

   This method enables the following syntax, where `odd` refers to a `BeMatcher[Int]`:

   This method enables the following syntax, where `odd` refers to a `BeMatcher[Int]`:

       2 should not be (odd)
                    ^

8. #### def be (comparison: ResultOfTripleEqualsApplication): Unit

   This method enables the following syntax:

   This method enables the following syntax:

       result should not be === (7)
                         ^

9. #### def be (comparison: ResultOfGreaterThanComparison[T]): Unit

   This method enables the following syntax:

   This method enables the following syntax:

       result should not be > (7)
                         ^

10. #### def be (comparison: ResultOfLessThanComparison[T]): Unit

    This method enables the following syntax:

    This method enables the following syntax:

        result should not be < (7)
                          ^

11. #### def be (comparison: ResultOfGreaterThanOrEqualToComparison[T]): Unit

    This method enables the following syntax:

    This method enables the following syntax:

        result should not be >= (7)
                          ^

12. #### def be (comparison: ResultOfLessThanOrEqualToComparison[T]): Unit

    This method enables the following syntax:

    This method enables the following syntax:

        result should not be <= (7)
                          ^

13. #### def be (right: Any): Unit

    This method enables the following syntax:

    This method enables the following syntax:

        result should not be (7)
                          ^

14. #### def clone (): AnyRef

    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws()

15. #### def eq (arg0: AnyRef): Boolean

    Attributes
      final
    Definition Classes
      AnyRef

16. #### def equal (right: Any): Unit

    This method enables the following syntax:

    This method enables the following syntax:

        result should not equal (7)
                          ^

17. #### def equals (arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

18. #### def finalize (): Unit

    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws()

19. #### def getClass (): java.lang.Class[_]

    Attributes
      final
    Definition Classes
      AnyRef

20. #### def hashCode (): Int

    Definition Classes
      AnyRef → Any

21. #### def isInstanceOf [T0] : Boolean

    Attributes
      final
    Definition Classes
      Any

22. #### def ne (arg0: AnyRef): Boolean

    Attributes
      final
    Definition Classes
      AnyRef

23. #### def notify (): Unit

    Attributes
      final
    Definition Classes
      AnyRef

24. #### def notifyAll (): Unit

    Attributes
      final
    Definition Classes
      AnyRef

25. #### def synchronized [T0] (arg0: ⇒ T0): T0

    Attributes
      final
    Definition Classes
      AnyRef

26. #### def toString (): String

    Definition Classes
      AnyRef → Any

27. #### def wait (): Unit

    Attributes
      final
    Definition Classes
      AnyRef
    Annotations
      @throws()

28. #### def wait (arg0: Long, arg1: Int): Unit

    Attributes
      final
    Definition Classes
      AnyRef
    Annotations
      @throws()

29. #### def wait (arg0: Long): Unit

    Attributes
      final
    Definition Classes
      AnyRef
    Annotations
      @throws()

### Inherited from AnyRef

### Inherited from Any